<xsd:schema  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">


<xsd:include schemaLocation="common_trans.xsd"/>
<xsd:include schemaLocation="obj_party.xsd"/>
<xsd:include schemaLocation="obj_force.xsd"/>
<xsd:include schemaLocation="obj_lecture_mode.xsd"/>


	<xsd:element name="TRANS_CONF_1">
        <xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="TRANS_COMMON_PARAMS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="ADD_PARTY">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element ref="PARTY"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="UPDATE_PARTY">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element ref="PARTY"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>
	
	<!--This Action is obsolete-->
	<xsd:element name="SET_PARTY_VIDEO_LAYOUT">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element  ref="PARTY_ID"/>
				<xsd:element  ref="FORCE"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="SET_VIDEO_LAYOUT">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element ref="FORCE"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="SET_LECTURE_MODE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element ref="LECTURE_MODE"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="SET_PARTY_VIDEO_LAYOUT_EX">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element ref="PARTY_ID"/>
				<xsd:element ref="LAYOUT_TYPE" />
				<xsd:element ref="FORCE"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="SET_PARTY_LAYOUT_TYPE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element ref="PARTY_ID"/>
				<xsd:element ref="LAYOUT_TYPE" />
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="START_PREVIEW">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element  ref="PARTY_ID"/>
				<xsd:element  ref="VIDEO_DIRECTION"/>
				<xsd:element  ref="CLIENT_IP"/>
				<xsd:element  ref="VIDEO_PORT"/>
				<xsd:element  ref="AUDIO_PORT"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="STOP_PREVIEW">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element  ref="PARTY_ID"/>
				<xsd:element  ref="VIDEO_DIRECTION"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="REQUEST_INTRA">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element  ref="PARTY_ID"/>
				<xsd:element  ref="INTRA_DIRECTION"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>


	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="ADD_PARTY"/>
			<xsd:element ref="UPDATE_PARTY"/>
			<xsd:element ref="SET_PARTY_VIDEO_LAYOUT"/>				<!--not supported-->
			<xsd:element ref="SET_LECTURE_MODE"/>
			<xsd:element ref="SET_VIDEO_LAYOUT"/>
			<xsd:element ref="SET_PARTY_VIDEO_LAYOUT_EX"/>
			<xsd:element ref="SET_PARTY_LAYOUT_TYPE"/>
			<xsd:element ref="START_PREVIEW"/>
			<xsd:element ref="STOP_PREVIEW"/>
			<xsd:element ref="REQUEST_INTRA"/>
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

</xsd:schema>
